List Packages
curl --request GET \
--url https://api.centralcart.io/v1/app/package \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.centralcart.io/v1/app/package"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.centralcart.io/v1/app/package', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"total": 1,
"per_page": 15,
"current_page": 1,
"last_page": 1,
"first_page": 1,
"first_page_url": "/?page=1",
"last_page_url": "/?page=1",
"next_page_url": null,
"previous_page_url": null
},
"data": [
{
"id": 1,
"store_id": 1,
"category_id": 1,
"position": 1,
"enabled": true,
"name": "Bronze",
"slug": "bronze",
"type": "MULTIPLE",
"price": 30,
"compare_at_price": null,
"price_display": "R$ 30,00",
"expiry_days": 30,
"inventory_amount": null,
"min_amount": null,
"per_user_limit": false,
"description": null,
"image": null,
"icon": null,
"parent_id": null,
"is_variation_parent": false,
"chat_delivery": null,
"commands": [],
"discord_actions": [],
"emails": [],
"license_keys": [],
"created_at": "2024-01-31T16:03:28.000-03:00",
"updated_at": "2024-01-31T16:03:28.000-03:00"
}
]
}Pacotes
List Packages
Lista os pacotes da loja.
GET
/
app
/
package
List Packages
Autorizações
Token de API gerado no painel da CentralCart.
Parâmetros de consulta
Número da página para paginação (padrão: 1, itens por página: 15)
Filtra pacotes por ID da categoria
Busca parcial por nome
Se true, retorna todos os pacotes (incluindo variações) sem paginação, em formato simplificado.